classification
Title: Lib2to3 grammar.txt error
Type: crash Stage: resolved
Components: IO Versions: Python 2.7
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Can't use lib2to3 with embeddable zip file.
View: 24960
Assigned To: Nosy List: Lukasz00500, benjamin.peterson
Priority: normal Keywords:

Created on 2018-04-02 22:20 by Lukasz00500, last changed 2018-04-05 04:47 by benjamin.peterson. This issue is now closed.

Messages (5)
msg314830 - (view) Author: Lukasz (Lukasz00500) Date: 2018-04-02 22:20
Hello I have problem with script
Im am totaly beginner in python
I'm using Qpython ( python 2.7 on android)

So  this  is  my error:
/data/user/0/org.qpython.qpy/files/bin/qpython-android5.sh "/storage/emulated/0/qpython/scripts/InstaPy-master/quickstart.py" && exit
ipts/InstaPy-master/quickstart.py" && exit     <
Traceback (most recent call last):
  File "/storage/emulated/0/qpython/scripts/InstaPy-master/quickstart.py", line 7, in <module>
    from instapy import InstaPy
  File "/storage/emulated/0/qpython/scripts/InstaPy-master/instapy/__init__.py", line 2, in <module>
    from .instapy import InstaPy
  File "/storage/emulated/0/qpython/scripts/InstaPy-master/instapy/instapy.py", line 22, in <module>
    from .clarifai_util import check_image
  File "/storage/emulated/0/qpython/scripts/InstaPy-master/instapy/clarifai_util.py", line 3, in <module>
    from clarifai.rest import ClarifaiApp, Image as ClImage
  File "/storage/emulated/0/qpython/lib/python2.7/site-packages/clarifai/rest/__init__.py", line 3, in <module>
    from .client import ApiClient, ApiError, UserError, TokenError
  File "/storage/emulated/0/qpython/lib/python2.7/site-packages/clarifai/rest/client.py", line 21, in <module>
    from past.builtins import basestring
  File "/data/user/0/org.qpython.qpy/files/lib/python2.7/site-packages/future-0.16.0-py2.7.egg/past/__init__.py", line 88, in <module>
    from past.translation import install_hooks as autotranslate
  File "/data/user/0/org.qpython.qpy/files/lib/python2.7/site-packages/future-0.16.0-py2.7.egg/past/translation/__init__.py", line 42, in <module>
    from lib2to3.refactor import RefactoringTool
  File "/data/user/0/org.qpython.qpy/files/lib/python27.zip/lib2to3/refactor.py", line 27, in <module>
  File "/data/user/0/org.qpython.qpy/files/lib/python27.zip/lib2to3/fixer_util.py", line 9, in <module>
  File "/data/user/0/org.qpython.qpy/files/lib/python27.zip/lib2to3/pygram.py", line 32, in <module>
  File "/data/user/0/org.qpython.qpy/files/lib/python27.zip/lib2to3/pgen2/driver.py", line 121, in load_grammar
  File "/data/user/0/org.qpython.qpy/files/lib/python27.zip/lib2to3/pgen2/pgen.py", line 385, in generate_grammar
  File "/data/user/0/org.qpython.qpy/files/lib/python27.zip/lib2to3/pgen2/pgen.py", line 15, in __init__
IOError: [Errno 20] Not a directory: '/data/user/0/org.qpython.qpy/files/lib/python27.zip/lib2to3/Grammar.txt'
1|dream2lte:/ $
msg314942 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-04-04 17:29
Why do you believe this is any different than #24960?
msg314946 - (view) Author: Lukasz (Lukasz00500) Date: 2018-04-04 17:42
I think this is the same problem but I want to use the script from the phone (mobile version of python) so I do not know how to solve it.
msg314950 - (view) Author: Lukasz (Lukasz00500) Date: 2018-04-04 21:02
In fact  I dont  know what should I do.

Can I install any module via pip to solve this problem ?

On android version of python I dont have access to directory like: 

Lib/lib2to3/pgen2/driver.py
msg314967 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2018-04-05 04:47
If it's the same problem, we don't need another issue open.
History
Date User Action Args
2018-04-05 04:47:10benjamin.petersonsetstatus: open -> closed
superseder: Can't use lib2to3 with embeddable zip file.
messages: + msg314967

resolution: duplicate
stage: resolved
2018-04-04 21:02:49Lukasz00500setmessages: + msg314950
2018-04-04 17:42:54Lukasz00500setmessages: + msg314946
2018-04-04 17:29:17benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg314942
2018-04-02 22:23:06Lukasz00500settype: crash
components: + IO
versions: + Python 2.7
2018-04-02 22:20:41Lukasz00500create